Index: /trunk/DataCheck/Transfer/CheckTransfer.sh
===================================================================
--- /trunk/DataCheck/Transfer/CheckTransfer.sh	(revision 18806)
+++ /trunk/DataCheck/Transfer/CheckTransfer.sh	(revision 18807)
@@ -321,6 +321,6 @@
          if ! [ $sum -eq ${newdaq[0]} ]
          then
-            printprocesslog "ERROR number of files in whole archive ("$sum") is different from number of files in La Palma ("${newdaq[0]}")."
-            echo "ERROR number of files in whole archive ("$sum") is different from number of files in La Palma ("${newdaq[0]}")." >> $logfile 2>&1
+            printprocesslog "ERROR number of files in whole archive ("$sum") is different from number of files in La Palma ("${newdaq[0]}") for "$date"."
+            echo "ERROR number of files in whole archive ("$sum") is different from number of files in La Palma ("${newdaq[0]}") for "$date"." >> $logfile 2>&1
             numpb=`echo " $numpb + 1 " | bc -l `
             result1=$result1"1"
@@ -732,5 +732,5 @@
          #   sizephido=( `ssh -i /home_nfs/isdc/fact_opr/.ssh/id_rsa.fact_opr.phido 129.217.160.201 "ls -l $phidorawpath/$rawfile2 2>/dev/null | awk '{ print \\\$5 }'"` )
          #fi
-         if [ "$sizenewdaq" = "" ] ||  [ "$sizedaq" = "" ] ||  [ "$sizezip" = "" ] ||  [ "$sizedl00" = "" ] ||  [ "$sizewue" = "" ] || [  [ "$sizefails" = "" ] &&  [ "$sizearchive" = "" ] ]
+         if [ "$sizenewdaq" = "" ] ||  [ "$sizedaq" = "" ] ||  [ "$sizezip" = "" ] ||  [ "$sizedl00" = "" ] ||  [ "$sizewue" = "" ] || ([ "$sizefails" = "" ] &&  [ "$sizearchive" = "" ])
          then
             printprocesslog "WARN one or more of the sizes empty: "$sizenewdaq"(newdaq) "$sizedaq"(daq) "$sizezip"(data) "$sizedl00"(dl) "$sizewue"(wue) "$sizefails"(fails) "$sizearchive"(arch) "
